Qt 5.7 | Qt Charts | C++ Classes | QLineSeries

Qt 5.7.1 Reference Documentation

# QLineSeries Class

The QLineSeries class is used for making line charts. More...

Header: | #include <QLineSeries>
Instantiated By: | LineSeries
Inherits: | QXYSeries
Inherited By: | QSplineSeries

- List of all members, including inherited members

## Public Functions

| QLineSeries(QObject *parent = Q_NULLPTR)
| ~QLineSeries()

## Reimplemented Public Functions

virtual QAbstractSeries::SeriesType | type() const

- 39 public functions inherited from QXYSeries
- 15 public functions inherited from QAbstractSeries

### Additional Inherited Members

- 7 properties inherited from QXYSeries
- 5 properties inherited from QAbstractSeries
- 17 signals inherited from QXYSeries
- 4 signals inherited from QAbstractSeries

## Detailed Description

The QLineSeries class is used for making line charts.

A line chart is used to show information as a series of data points connected by straight lines.

Creating basic line chart is simple:

      QLineSeries* series = new QLineSeries();
      series->append(0, 6);
      series->append(2, 4);
      ...
      chart->addSeries(series);

## Member Function Documentation

### QLineSeries::QLineSeries(QObject *parent = Q_NULLPTR)

Constructs empty series object which is a child of parent. When series object is added to QChartView or QChart instance ownerships is transferred.

### QLineSeries::~QLineSeries()

Destroys the object. Series added to QChartView or QChart instances are owned by those, and are deleted when mentioned object are destroyed.

### `[virtual]` QAbstractSeries::SeriesType QLineSeries::type() const

Reimplemented from QAbstractSeries::type().

Returns type of series.

See also QAbstractSeries and SeriesType.